# $Id: e-smith-grub.spec,v 1.17 2021/04/17 03:35:18 jpp Exp $

Summary: smeserver module to configure grub2
%define name smeserver-grub
Name: %{name}
%define version 11.0.0
%define release 5
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: smeserver-devtools
BuildArchitectures: noarch

Requires: smeserver-lib >= 1.15.3-17
Requires: grub2
Provides: system-logos
Obsoletes: e-smith-lilo
Provides: smeserver-bootloader
Provides: e-smith-bootloader
Obsoletes: lilo
AutoReqProv: no
Provides: e-smith-grub

%changelog
* Thu Apr 04 2024 Brian Read <brianr@koozali.org> 11.0.0-5.sme
- Update createlinks to create smeserver-package-update event[SME: 12579]

* Thu Apr 04 2024 Brian Read <brianr@koozali.org> 11.0.0-4.sme
- Set license file to GPL2.0  [SME: 12577]

* Sat Mar 23 2024 Jean-Philippe Pialasse <jpp@koozali.org> 11.0.0-3.sme
- add Provides: smeserver-bootloader [SME: 1251]

* Sat Mar 23 2024 Brian Read <brianr@koozali.org>11.0.0-2.sme
- Change Requires: e-smith- to Requires:smeserver-

* Sat Mar 23 2024 Brian Read <brianr@koozali.org>11.0.0-1.sme
- Update Release and Version to base version and 1st release for SME11 [SME: 12518]
- Move Provides: from after Changelog 

* Mon Mar 11 2024 rename-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 2.6.1-13.sme
- Rename to smeserver-grub [SME: 12359]

* Wed Jul 12 2023 cvs2git.sh aka Brian Read <brianr@koozali.org> 2.6.1-12.sme
- Roll up patches and move to git repo [SME: 12338]
- Remove Source1 & Source2 [SME: 12338]

* Wed Jul 12 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.
  Wed Jan 17 2021 --> Wed Jan 13 2021 or Sun Jan 17 2021 or Wed Jan 20 2021 or ....

* Fri Apr 16 2021 Jean-Philippe Pialasse <tests@pialasse.com> 2.6.1-11.sme
- set missing locale if update-grub called by server-manager [SME: 11559]

* Sat Feb 20 2021 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.1-10.sme
- fix unable to boot on a non xfs root filesystem [SME: 11365]

* Thu Feb 18 2021 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.1-9.sme
- cleanup remove /boot/grub dir [SME: 11354]

* Sun Jan 17 2021 Chris Sansom-Ninnes <chris@sansom.ninnes.net> 2.6.1-8.sme
  Wed Jan 17 2021 --> Wed Jan 13 2021 or Sun Jan 17 2021 or Wed Jan 20 2021 or ....
- Add support for EFI systems [SME: 10998]

* Wed Jan 06 2021 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.1-7.sme
- add update event [SME: 11137]

* Thu May 25 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.1-6.sme
- rebuild for file ownership conflict [SME: 10325]

* Thu May 11 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.1-5.sme
- fix edition and consol grub terminal not visible because of koozali logo [SME: 9728]

* Wed Apr 05 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.1-4.sme
- enable quota for groups and users with XFS [SME: 10211]

* Mon Jul 25 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.1-3.sme
- Koozali grub splash screen

* Sat Jul 16 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 2.6.1-2.sme
- Write the full path for the grub Action [SME: 9668]
- Added e-smith-grub-2.6.1.bz9668.AddFullPath2GrubAction.patch

* Wed Jun 15 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 2.6.1-1.sme
- New source [SME: 9321]

* Tue Jun 14 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 2.6.0-4.sme
- Adaptation to grub2 [SME: 9321]

* Fri Mar 18 2016 Jean-Philipe Pialasse <tests@pialasse.com> 2.6.0-3.sme
- rebuild for Bug [SME: 9347]

* Fri Mar 18 2016 JP Pialasse <tests@pialasse.com> 2.6.0-2.sme
- fix Requires grub2 [SME: 9320]

* Fri Feb 05 2016 stephane de Labrusse <stephdl@de-labrusse.fr> 2.6.0-1.sme
- Initial release to sme10

* Wed Jan 20 2016 Daniel Berteaud <daniel@firewall-services.com> 2.4.0-4.sme
- Remove motd text from grub.cfg [SME: 9161]

* Fri Mar 1 2013 Shad L. Lords <slords@mail.com> 2.4.0-3.sme
- Revert previous rhgb patch and disable plymouth [SME: 7354]

* Tue Feb 19 2013 Shad L. Lords <slords@mail.com> 2.4.0-2.sme
- Remove rhgb option from grub [SME: 7354]

* Thu Jan 31 2013 Shad L. Lords <slords@mail.com> 2.4.0-1.sme
- Roll new stream for sme9

* Wed Nov 4 2009 Jonathan Martens <smeserver-contribs@snetram.nl> 2.2.0-2.sme
- Remove hiddenmenu entry from grub.conf [SME: 5546]

* Tue Oct 7 2008 Shad L. Lords <slords@mail.com> 2.2.0-1.sme
- Roll new stream to separate sme7/sme8 trees [SME: 4633]

* Fri Mar 21 2008 Shad L. Lords <slords@mail.com> 1.0.0-7
- Fix up CentOS titles in grub.conf [SME: 4084]

* Fri Jul 13 2007 Shad L. Lords <slords@mail.com> 1.0.0-6
- Add smeserver splash screen for grub [SME: 3152]

* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Jan 04 2007 Shad L. Lords <slords@mail.com> 1.0.0-5
- Update /etc/sysconfig/kernel on boot too. [SME: 1930]

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Tue Dec 05 2006 Shad L. Lords <slords@mail.com> 1.0.0-03
- Remove grub-install-raid completely as it doesn't handle more 
  than raid1 [SME: 2131]

* Thu Mar 16 2006 Gordon Rowell <gordonr@gormand.com.au> 1.0.0-02
- Rebuild without the test release tag [SME: 1197]

* Thu Mar 16 2006 Gordon Rowell <gordonr@gormand.com.au> 1.0.0-01test01
- Remove grub-install-raid from post-{install,upgrade} [SME: 1197]

* Thu Mar 16 2006 Gordon Rowell <gordonr@gormand.com.au> 1.0.0-01
- Roll stable stream version. [SME: 1016]

* Wed Feb 8 2006 Gordon Rowell <gordonr@gormand.com.au> 0.0.1-24
- Add --no-floppy to the grub --batch calls. Systems with the
  floppy controller enabled but no floppy drive installed "hang"
  in post-upgrade otherwise. [SME: 696]

* Mon Jan 30 2006 Gordon Rowell <gordonr@gormand.com.au> 0.0.1-23
- Re-add call to grub-install-raid in post-upgrade [SME: 151]

* Mon Jan 30 2006 Gordon Rowell <gordonr@gormand.com.au> 0.0.1-22
- Add --no-floppy to grub-install call in grub-install-raid [SME: 151]
- Don't call grub-install-raid in post-upgrade, only post-install  [SME: 151]
- Cleaned up old comments in grub-install-raid

* Wed Nov 30 2005 Gordon Rowell <gordonr@gormand.com.au> 0.0.1-21
- Bump release number only

* Tue Nov 15 2005 Gordon Rowell <gordonr@e-smith.com>
- [0.0.1-20]
- Add defined test on $EVENT  for cleanliness [MN00106104]

* Tue Nov 15 2005 Gordon Rowell <gordonr@e-smith.com>
- [0.0.1-19]
- Only update default kernel choice in the local event [MN00106104]
- Update dependency on e-smith-lib to require version of 
  generic_template_expand which sets EVENT in the template hash

* Sun Nov 13 2005 Gordon Rowell <gordonr@e-smith.com>
- [0.0.1-18]
- Correct path in last fix [SF: 1335937]

* Mon Oct 24 2005 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-17]
- Create "update-bootloader" symlink in /sbin/e-smith, for use by add_mirror
  script. Add "Provides: e-smith-bootloader", so that e-smith-base can add
  a generic "Requires:". [SF: 1335937]

* Fri Oct 21 2005 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-16]
- Expand grub.conf template in post-install and post-upgrade, to correct
  errant hd1,0 references. [SF: 1233029]

* Fri Oct 21 2005 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-15]
- Fix errant hd1,0 references in /boot/grub/grub.conf. This is just a
  workaround - we should be able to fix anaconda/booty so that they never
  appear. Tidy up UpdateDefault while we are here. [SF: 1233029]
- Update grub-install-raid so that it runs grub for each disk, with each
  device set as hd0. [SF: 1233029]

* Mon Oct 17 2005 Gordon Rowell <gordonr@e-smith.com>
- [0.0.1-14]
- Typo in grub-install-raid log output [MN00100874, SF: 1233029]

* Mon Oct 17 2005 Gordon Rowell <gordonr@e-smith.com>
- [0.0.1-13]
- Add grub-install-raid action to force to install onto a RAID1 set
  [MN00100874, SF: 1233029]

* Mon Sep 19 2005 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-12]
- Preserve current default setting in grub.conf template if
  none of the available kernels matches the currently running
  kernel. This will allow anaconda SMP detection to determine
  initial boot setting. [MN00097833]

* Tue Aug 30 2005 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-11]
- Move splashscreen symlink into e-smith-support RPM.

* Wed Jul 13 2005 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-10]
- Obsolete lilo RPM, so that it is removed on upgrade. [SF: 1232519]

* Tue Jul  5 2005 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-09]
- Obsolete e-smith-lilo RPM. [SF: 1232519]

* Fri Jun 24 2005 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-08]
- Move grub.conf template.metadata file a well. [SF: 1226839]

* Fri Jun 24 2005 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-07]
- Template /boot/grub/grub.conf, not /etc/grub.conf. [SF: 1226839]

* Mon Jun 13 2005 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-06]
- Add "Provides: system-logos" to satisfy grub dependency.

* Mon Jun 13 2005 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-05]
- Add linuxinside splashscreen.

* Mon Jun 13 2005 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-04]
- Add tux splashscreen, and use it for grub config.

* Wed Jun  8 2005 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-03]
- Add missing template.metadata file to strip blank lines from
  grub.conf file.

* Tue Jun  7 2005 Charlie Brady <charlieb@e-smith.com>
- [0.0.1-02]
- Fix grub.conf template expansion.
- Put splash.xpm.gz in correct place.

* Mon Jun 06 2005 Charlie Brady <charlieb@e-smith.com>
- initial release

%description
smeserver server enhancement to grub bootloader.

%prep
%setup
rm -rf root/boot/grub

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

